﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BaileyRectangle
{
    class Rectangle
    {
        static void Main(string[] args)
        {
            DisplayInfo("Rectangle Assignment");

            GetInfo();
        }

        static void DisplayInfo(string assignment)
        {
            const string AST = " ************************************************";

            Console.WriteLine(AST);
            Console.WriteLine();
            Console.WriteLine("Name:\t\tSerena Bailey");
            Console.WriteLine("Course:\t\tITDEV-115-200");
            Console.WriteLine("Instructor:\tMr. Menzl");
            Console.WriteLine("Assignment:\t" + assignment);
            Console.WriteLine("Date:\t\t" + DateTime.Today.ToShortDateString());
            Console.WriteLine();
            Console.WriteLine(AST);
        }

        static void GetInfo()
        {
            Double a, b;

            Console.WriteLine("\n\nThis program will calculate the area and perimeter of a rectangle.");
            Console.WriteLine("All you need to do is enter the rectangle's height and width.\n\n");

            Console.Write("Please enter the rectangle's height in inches: ");
            a = Convert.ToDouble(Console.ReadLine());

            Console.Write("Please enter the rectangle's width in inches: ");
            b = Convert.ToDouble(Console.ReadLine());

            GetArea(a, b);
            GetPerimeter(a, b);
        }

        static void GetArea(Double a, Double b)
        {
            Double area = a * b;

            Console.WriteLine("\n\nThe area of the rectangle is {0:0.0} inches", area);
        }

        static void GetPerimeter(Double a, Double b)
        {
            Double perimeter = 2 * (a + b);

            Console.WriteLine("The perimeter of the rectangle is {0:0.0} inches", perimeter);
            Console.ReadKey();
        }
    }
}
